Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.5.x
Author Message
valdarez
Worker
Worker


Joined: Jan 22, 2007
Posts: 104

PostPosted: Sun Feb 04, 2007 12:58 am Reply with quote

I recently upgraded from Nuke 7.5 with Sentinel 2.5.0 to RavenNuke 2.02.02. In order to complete the security upgrade, I then updated to Sentinel 2.5.01, .02, .03, .04, and finally .05. I never received an error during the upgrade, however whenever I try to view various parts of Nuke Sentinel via the Admin screen I get hit with the following error:


Call to undefined function: ab_copy() in /home/virtual/site323/fst/var/www/html/admin/modules/nukesentinel/ABImport.php on line 20.

I have uploaded all files 3 times now, so I know all of the latest files are there. Any idea what it cannot located the ab_copy() function?
 
View user's profile Send private message
montego
Site Admin


Joined: Aug 29, 2004
Posts: 9457
Location: Arizona

PostPosted: Sun Feb 04, 2007 6:53 am Reply with quote

Personally, I would use the NukeSentinel 2.5.05 tables installer to remove the NukeSentinel tables and then re-install them fresh. Yes, it will take you doing the search for admins again and ensuring they are protected, but sometimes when the point-by-point upgrade falls down, it is best to start afresh.

If you use the same password on your admins as you had previously, you should not have to change anything in .staccess. Also, if you already had admin protection working, you should not have to mess with .htaccess either, except to clean out the NukeSentinel adds of IP deny statements at the bottom.

_________________
Only registered users can see links on this board! Get registered or login!
Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
valdarez
PostPosted: Sun Feb 04, 2007 10:14 am Reply with quote

Hmmm... alright, I can give that a try. Since it was a call to a function, I figured it was a problem with a file.

One thing, nothing has been added to the bottom of the .htaccess file, but I know that a ton of folks had try to hack us. What chmod value should I use on the .htaccess file?
 
valdarez
PostPosted: Sun Feb 04, 2007 9:59 pm Reply with quote

Ok, I grepped all of the files for the website and the ab_copy() function does not exist! Which makes sense since Sentinel is reporting that it can't find it. Can someone grep their files and let me know which file is supposed to contain the ab_copy() function?

Thanks!
 
valdarez
PostPosted: Mon Feb 05, 2007 4:04 pm Reply with quote

The ab_copy() calls are all located in the files that are located in the admin/modules/nukesentinel/ directory. So I have 2.02.02 installed, which I understood to use Sentinel 2.5.00, so I upgraded to 2.5.05. The upgrade to 2.5.05 doesn't seem to have replaced the files in the admin/modules/nukesentinel/ directory, which is why I am having the problem.

Should new files be added to the HTML directory to replace those files since the ab_copy() command does not seem to be necessary in Nuke Sentinel 2.5.05? Or, have I completely messed something up?
 
jakec
Site Admin


Joined: Feb 06, 2006
Posts: 3048
Location: United Kingdom

PostPosted: Mon Feb 05, 2007 4:19 pm Reply with quote

RN 2.02.02 comes with Sentinel 2.4.2pl5.

Make sure all the files that come with the upgrade package have been uploaded correctly. If they are not there upload them again.
 
View user's profile Send private message
valdarez
PostPosted: Mon Feb 05, 2007 6:14 pm Reply with quote

Ahh... that would be the problem then. Applying the 2.05.05 patch to 2.4.2 probably isn't a good idea. heh

Thanks jake!
 
valdarez
PostPosted: Tue Feb 06, 2007 10:27 am Reply with quote

After performing an install of the 2.05.05, it effectively fixed all of the problems that I was experiencing with Sentinel. Thanks for the help guys.
 
Display posts from previous:       
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™ v2.5.x

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©